galaxy-grafana
==============

Install Grafana on Debian

Requirements
------------

None

Role Variables
--------------

- grafana_name: name of the grafana instance
- grafana_signup: true/false, is signup enabled ?
- grafana_anon_access: true/false, is anon access enabled ?
- grafana_anon_org: if anon access enabled, what org id should be used ?
- grafana_proto: grafana protocol (http/https)
- grafana_domain: domain name of the grafana instance
- grafana_bind_iface: grafana interface bind selection
- grafana_port: grafana port
- grafana_url_port: grafana port (can be changed if a reverse proxy is used)
- grafana_admin_user: grafana admin username
- grafana_admin_pass: grafana admin password

Dependencies
------------

None

Example Playbook
----------------

    - hosts: servers
      roles:
         - role: galaxy-grafana

Run tests
---------

Needs galaxy-vagrant to run tests

Ensure galaxy-vagrant is up

    ansible-playbook -i tests/inventory tests/test.yml
